# Uses of Class
org.opensaml.xmlsec.SignatureSigningParameters

Packages that use SignatureSigningParameters
Package
Description
org.opensaml.saml.common.messaging
Support classes for SAML message security operations.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec.context
Message context classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.

## Uses of SignatureSigningParameters in org.opensaml.saml.common.messaging

Methods in org.opensaml.saml.common.messaging that return SignatureSigningParameters
Modifier and Type
Method
Description
`static SignatureSigningParameters`
SAMLMessageSecuritySupport.`getContextSigningParameters(MessageContext messageContext)`
Get the signing parameters from the message context.

## Uses of SignatureSigningParameters in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl declared as SignatureSigningParameters
Modifier and Type
Field
Description
`private SignatureSigningParameters`
SignAssertions.`signatureSigningParameters`
The signature signing parameters.

## Uses of SignatureSigningParameters in org.opensaml.saml.saml2.binding.encoding.impl

Methods in org.opensaml.saml.saml2.binding.encoding.impl with parameters of type SignatureSigningParameters
Modifier and Type
Method
Description
`protected String`
HTTPPostSimpleSignEncoder.`getSignatureAlgorithmURI(SignatureSigningParameters signingParameters)`
Gets the signature algorithm URI to use.
`protected String`
HTTPRedirectDeflateEncoder.`getSignatureAlgorithmURI(SignatureSigningParameters signingParameters)`
Gets the signature algorithm URI to use.

## Uses of SignatureSigningParameters in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type SignatureSigningParameters
Modifier and Type
Method
Description
`protected void`
SAMLMetadataSignatureSigningParametersResolver.`resolveAndPopulateCredentialAndSignatureAlgorithm(SignatureSigningParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Resolve and populate the signing credential and signature method algorithm URI on the supplied parameters instance.

## Uses of SignatureSigningParameters in org.opensaml.xmlsec.context

Fields in org.opensaml.xmlsec.context declared as SignatureSigningParameters
Modifier and Type
Field
Description
`private SignatureSigningParameters`
SecurityParametersContext.`signatureSigningParameters`
Signature signing parameters.
Methods in org.opensaml.xmlsec.context that return SignatureSigningParameters
Modifier and Type
Method
Description
`SignatureSigningParameters`
SecurityParametersContext.`getSignatureSigningParameters()`
Get the parameters to use for XML signature signing operations.
Methods in org.opensaml.xmlsec.context with parameters of type SignatureSigningParameters
Modifier and Type
Method
Description
`SecurityParametersContext`
SecurityParametersContext.`setSignatureSigningParameters(SignatureSigningParameters params)`
Set the parameters to use for XML signature signing operations.

## Uses of SignatureSigningParameters in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as SignatureSigningParameters
Modifier and Type
Field
Description
`private SignatureSigningParameters`
StaticSignatureSigningParametersResolver.`params`
Static parameters.
Methods in org.opensaml.xmlsec.impl that return SignatureSigningParameters
Modifier and Type
Method
Description
`SignatureSigningParameters`
BasicSignatureSigningParametersResolver.`resolveSingle(CriteriaSet criteria)`
`SignatureSigningParameters`
StaticSignatureSigningParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl that return types with arguments of type SignatureSigningParameters
Modifier and Type
Method
Description
`Iterable<SignatureSigningParameters>`
BasicSignatureSigningParametersResolver.`resolve(CriteriaSet criteria)`
`Iterable<SignatureSigningParameters>`
StaticSignatureSigningParametersResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl with parameters of type SignatureSigningParameters
Modifier and Type
Method
Description
`protected void`
BasicSignatureSigningParametersResolver.`logResult(SignatureSigningParameters params)`
Log the resolved parameters.
`protected void`
BasicSignatureSigningParametersResolver.`resolveAndPopulateCredentialAndSignatureAlgorithm(SignatureSigningParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Resolve and populate the signing credential and signature method algorithm URI on the supplied parameters instance.
`protected boolean`
BasicSignatureSigningParametersResolver.`validate(SignatureSigningParameters params)`
Validate that the `SignatureSigningParameters` instance has all the required properties populated.
Constructors in org.opensaml.xmlsec.impl with parameters of type SignatureSigningParameters
Modifier
Constructor
Description
``
`StaticSignatureSigningParametersResolver(SignatureSigningParameters parameters)`
Constructor.

## Uses of SignatureSigningParameters in org.opensaml.xmlsec.signature.support

Methods in org.opensaml.xmlsec.signature.support with parameters of type SignatureSigningParameters
Modifier and Type
Method
Description
`static void`
SignatureSupport.`prepareSignatureParams(Signature signature, SignatureSigningParameters parameters)`
Prepare a `Signature` with necessary additional information prior to signing.
`private static void`
SignatureSupport.`processContentReferences(Signature signature, SignatureSigningParameters parameters)`
Prepare the content references.
`private static void`
SignatureSupport.`processKeyInfo(Signature signature, SignatureSigningParameters parameters)`
Prepare the content references.
`static void`
SignatureSupport.`signObject(SignableXMLObject signable, SignatureSigningParameters parameters)`
Signs a `SignableXMLObject`.